EDIT - bug #5149

Remove UNIQUE index on Sequence_Reference.citations_id column
08/17/2015 11:39 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: normal Found in Version:

Description

Summary was: "some Sequence_Reference tables have UNIQUE index on citations_id column”
| already deleted this on cdm_campanulaceae on the test server and | think also on production.
| also adapted the h2 scripts used in the JUnit tests.

citations_id

DBs that are freshly created by the taxeditor do not have this index.

Associated revisions

Revision 06a9799d - 06/05/2017 05:00 PM - Andreas Miiller

fix #5149 remove UNIQUE index on Sequence_Reference.citations_id column

History

#1 - 08/17/2015 01:29 PM - Andreas Miiller
- Target version deleted (Unassigned CDM tickets)
- Priority changed from New to Highest

- Subject changed from some Sequence_Reference tables hav UNIQUE index on citations_id column to Remove UNIQUE index on
Sequence_Reference.citations_id column

citations was @OneToMany before refactoring the molecular package. Seems like | forgot to add the remove index command for the update script
while refactoring.

#2 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#3 - 07/08/2016 08:51 PM - Andreas Miiller
- Priority changed from Highest to Priority13

#4 - 12/01/2016 01:51 PM - Andreas Miiller
- Target version changed from CDM UML 4.1 to COM UML 4.7

#5 - 06/05/2017 05:01 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|06a9799d6b7ccdd74054489773c13c40539ae5e2.

#6 - 06/05/2017 05:01 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#7 - 06/08/2017 07:27 AM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/06a9799d6b7ccdd74054489773c13c40539ae5e2

- Status changed from Resolved to Closed

- % Done changed from 50 to 100
